<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstTemplatePosition Method (IEdmTemplateMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTemplateMgr5 Interface : GetFirstTemplatePosition Method (IEdmTemplateMgr5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the templates installed in the vault.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstTemplatePosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstTemplatePosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstTemplatePosition();

#### Return Value

IEdmPos5; position of the first installed template

# Example

Execute Template (C#)
Execute Template (VB.NET)

# Remarks

After calling this method, pass the position of the first template to IEdmTemplateMgr5::GetNextTemplate to get the first template in this list. Then call IEdmTemplateMgr5::GetNextTemplate repeatedly to get the rest of the templates in this list.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTemplateMgr5 Interface
IEdmTemplateMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2